package no.soliditet.wsclients.ws3.jaxws.generated;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DmWSScoring complex type.
 * <p/>
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p/>
 * <pre>
 * &lt;complexType name="DmWSScoring">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="basePoints" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="dataElements" type="{urn:DecisionMakerWebServices3}ArrayOfDmWSDataElement"/>
 *         &lt;element name="linear" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="policyElements" type="{urn:DecisionMakerWebServices3}ArrayOfDmWSPolicyElement"/>
 *         &lt;element name="result" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="scoreDate" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="scoreElements" type="{urn:DecisionMakerWebServices3}ArrayOfDmWSScoreElement"/>
 *         &lt;element name="totalScoreElements" type="{urn:DecisionMakerWebServices3}ArrayOfDmWSTotalScoreElement"/>
 *         &lt;element name="zone" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="zoneModelId" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="zones" type="{urn:DecisionMakerWebServices3}ArrayOfDmWSZone"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DmWSScoring", namespace = "http://model.ws3.webservices.lindorff.no", propOrder = {
		  "basePoints",
		  "dataElements",
		  "linear",
		  "name",
		  "policyElements",
		  "result",
		  "scoreDate",
		  "scoreElements",
		  "totalScoreElements",
		  "zone",
		  "zoneModelId",
		  "zones"
})
public class DmWSScoring {

	@XmlElement(required = true, nillable = true)
	protected String basePoints;
	@XmlElement(required = true, nillable = true)
	protected ArrayOfDmWSDataElement dataElements;
	protected boolean linear;
	@XmlElement(required = true, nillable = true)
	protected String name;
	@XmlElement(required = true, nillable = true)
	protected ArrayOfDmWSPolicyElement policyElements;
	@XmlElement(required = true, nillable = true)
	protected String result;
	@XmlElement(required = true, nillable = true)
	protected String scoreDate;
	@XmlElement(required = true, nillable = true)
	protected ArrayOfDmWSScoreElement scoreElements;
	@XmlElement(required = true, nillable = true)
	protected ArrayOfDmWSTotalScoreElement totalScoreElements;
	@XmlElement(required = true, nillable = true)
	protected String zone;
	@XmlElement(required = true, nillable = true)
	protected String zoneModelId;
	@XmlElement(required = true, nillable = true)
	protected ArrayOfDmWSZone zones;

	/**
	 * Gets the value of the basePoints property.
	 *
	 * @return possible object is {@link String }
	 */
	public String getBasePoints() {
		return basePoints;
	}

	/**
	 * Sets the value of the basePoints property.
	 *
	 * @param value allowed object is {@link String }
	 */
	public void setBasePoints(String value) {
		this.basePoints = value;
	}

	/**
	 * Gets the value of the dataElements property.
	 *
	 * @return possible object is {@link ArrayOfDmWSDataElement }
	 */
	public ArrayOfDmWSDataElement getDataElements() {
		return dataElements;
	}

	/**
	 * Sets the value of the dataElements property.
	 *
	 * @param value allowed object is {@link ArrayOfDmWSDataElement }
	 */
	public void setDataElements(ArrayOfDmWSDataElement value) {
		this.dataElements = value;
	}

	/**
	 * Gets the value of the linear property.
	 */
	public boolean isLinear() {
		return linear;
	}

	/**
	 * Sets the value of the linear property.
	 */
	public void setLinear(boolean value) {
		this.linear = value;
	}

	/**
	 * Gets the value of the name property.
	 *
	 * @return possible object is {@link String }
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets the value of the name property.
	 *
	 * @param value allowed object is {@link String }
	 */
	public void setName(String value) {
		this.name = value;
	}

	/**
	 * Gets the value of the policyElements property.
	 *
	 * @return possible object is {@link ArrayOfDmWSPolicyElement }
	 */
	public ArrayOfDmWSPolicyElement getPolicyElements() {
		return policyElements;
	}

	/**
	 * Sets the value of the policyElements property.
	 *
	 * @param value allowed object is {@link ArrayOfDmWSPolicyElement }
	 */
	public void setPolicyElements(ArrayOfDmWSPolicyElement value) {
		this.policyElements = value;
	}

	/**
	 * Gets the value of the result property.
	 *
	 * @return possible object is {@link String }
	 */
	public String getResult() {
		return result;
	}

	/**
	 * Sets the value of the result property.
	 *
	 * @param value allowed object is {@link String }
	 */
	public void setResult(String value) {
		this.result = value;
	}

	/**
	 * Gets the value of the scoreDate property.
	 *
	 * @return possible object is {@link String }
	 */
	public String getScoreDate() {
		return scoreDate;
	}

	/**
	 * Sets the value of the scoreDate property.
	 *
	 * @param value allowed object is {@link String }
	 */
	public void setScoreDate(String value) {
		this.scoreDate = value;
	}

	/**
	 * Gets the value of the scoreElements property.
	 *
	 * @return possible object is {@link ArrayOfDmWSScoreElement }
	 */
	public ArrayOfDmWSScoreElement getScoreElements() {
		return scoreElements;
	}

	/**
	 * Sets the value of the scoreElements property.
	 *
	 * @param value allowed object is {@link ArrayOfDmWSScoreElement }
	 */
	public void setScoreElements(ArrayOfDmWSScoreElement value) {
		this.scoreElements = value;
	}

	/**
	 * Gets the value of the totalScoreElements property.
	 *
	 * @return possible object is {@link ArrayOfDmWSTotalScoreElement }
	 */
	public ArrayOfDmWSTotalScoreElement getTotalScoreElements() {
		return totalScoreElements;
	}

	/**
	 * Sets the value of the totalScoreElements property.
	 *
	 * @param value allowed object is {@link ArrayOfDmWSTotalScoreElement }
	 */
	public void setTotalScoreElements(ArrayOfDmWSTotalScoreElement value) {
		this.totalScoreElements = value;
	}

	/**
	 * Gets the value of the zone property.
	 *
	 * @return possible object is {@link String }
	 */
	public String getZone() {
		return zone;
	}

	/**
	 * Sets the value of the zone property.
	 *
	 * @param value allowed object is {@link String }
	 */
	public void setZone(String value) {
		this.zone = value;
	}

	/**
	 * Gets the value of the zoneModelId property.
	 *
	 * @return possible object is {@link String }
	 */
	public String getZoneModelId() {
		return zoneModelId;
	}

	/**
	 * Sets the value of the zoneModelId property.
	 *
	 * @param value allowed object is {@link String }
	 */
	public void setZoneModelId(String value) {
		this.zoneModelId = value;
	}

	/**
	 * Gets the value of the zones property.
	 *
	 * @return possible object is {@link ArrayOfDmWSZone }
	 */
	public ArrayOfDmWSZone getZones() {
		return zones;
	}

	/**
	 * Sets the value of the zones property.
	 *
	 * @param value allowed object is {@link ArrayOfDmWSZone }
	 */
	public void setZones(ArrayOfDmWSZone value) {
		this.zones = value;
	}

}
